Bug 984007 - Xserver 1.14.2-3.fc19 crashes at startup
Xserver 1.14.2-3.fc19 crashes at startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 09:56 EDT by Georg Wittig
Modified: 2013-08-01 17:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 17:17:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log.old (23.58 KB, text/plain)
2013-07-12 09:58 EDT, Georg Wittig
no flags Details

  None (edit)
Description Georg Wittig 2013-07-12 09:56:53 EDT
Description of problem:
Xserver crashes when entering Runlevel 5 at end of boot of a fully patched F19.

Version-Release number of selected component (if applicable):
Build ID: xorg-x11-server 1.14.2-3.fc19

How reproducible:
Always

Steps to Reproduce:
Boot the machine and wait for entering Runlevel 5. The Xserver crashes and no keyboard input is possible. I have to force power-off.

Actual results:
The Xserver crashes.

Expected results:
kdm should show its login window.

Additional info:

From /var/log/messages:

> Jul 12 14:02:21 gwpc abrtd: Directory 'ccpp-2013-07-12-14:02:21-633' creation detected
> Jul 12 14:02:21 gwpc abrt[685]: Saved core dump of pid 633 (/usr/bin/Xorg) to > /var/tmp/abrt/ccpp-2013-07-12-14:02:21-633 (6094848 bytes)
> Jul 12 14:02:21 gwpc kdm[555]: X server died during startup
> Jul 12 14:02:21 gwpc kdm[555]: X server for display :0 cannot be started, session disabled

But that file doesn't exist after reboot. Also, abrt doesn't see anything to report.

/var/log/Xorg.0.log.old is shown as attachment.

From /var/log/kdm.log:

X.Org X Server 1.14.2
Release Date: 2013-06-25
X Protocol Version 11, Revision 0
Build Operating System:  2.6.32-358.2.1.el6.x86_64 
Current Operating System: Linux gwpc 3.9.9-301.fc19.x86_64 #1 SMP Thu Jul 4 15:10:36 UTC 2013 x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz-3.9.9-301.fc19.x86_64 LANG=en_US.UTF-8 consoleblank=0 elevator=deadline intel_iommu=on ipv6.disable=1 libahci.ignore_sss=1 nmi_watchdog=0 parport=0 quiet raid=noautodetect rd.dm=0 rd.luks=0 rd.lvm=0 rd.md=0 ro resume=/dev/sda8 root=LABEL=sda6 rootflags=data=writeback rootfstype=ext4 usbcore.autosuspend=1
Build Date: 09 July 2013  10:23:13AM
Build ID: xorg-x11-server 1.14.2-3.fc19 
Current version of pixman: 0.30.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Jul 12 14:05:45 2013
(==) Using config directory: "/etc/X11/xorg.conf.d"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
Initializing built-in extension Generic Event Extension
Initializing built-in extension SHAPE
Initializing built-in extension MIT-SHM
Initializing built-in extension XInputExtension
Initializing built-in extension XTEST
Initializing built-in extension BIG-REQUESTS
Initializing built-in extension SYNC
Initializing built-in extension XKEYBOARD
Initializing built-in extension XC-MISC
Initializing built-in extension XINERAMA
Initializing built-in extension XFIXES
Initializing built-in extension RENDER
Initializing built-in extension RANDR
Initializing built-in extension COMPOSITE
Initializing built-in extension DAMAGE
Initializing built-in extension MIT-SCREEN-SAVER
Initializing built-in extension DOUBLE-BUFFER
Initializing built-in extension RECORD
Initializing built-in extension DPMS
Initializing built-in extension X-Resource
Initializing built-in extension XVideo
Initializing built-in extension XVideo-MotionCompensation
Initializing built-in extension SELinux
Initializing built-in extension XFree86-VidModeExtension
Initializing built-in extension XFree86-DGA
Initializing built-in extension XFree86-DRI
Initializing built-in extension DRI2
Loading extension GLX
X: dispatch.c:3946: AttachOutputGPU: Assertion `!new->current_master' failed.

Work-around: boot to runlevel 3 and do a "yum downgrade to
xorg-x11-server-Xorg-1.14.1-4
Comment 1 Georg Wittig 2013-07-12 09:58:45 EDT
Created attachment 772712 [details]
/var/log/Xorg.0.log.old
Comment 2 Sergio Monteiro Basto 2013-07-13 06:14:21 EDT
Hi, could you please test : 

Package xorg-x11-server-1.14.2-4.fc19:
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-server-1.14.2-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12886/xorg-x11-server-1.14.2-4.fc19
then log in and leave karma (feedback).
Comment 3 Georg Wittig 2013-07-15 08:51:48 EDT
xorg-x11-server-1.14.2-4.fc19  works fine for me. Thanks for fixing the bug!
Comment 4 Sergio Monteiro Basto 2013-08-01 13:55:41 EDT
(In reply to Georg Wittig from comment #3)
> xorg-x11-server-1.14.2-4.fc19  works fine for me. Thanks for fixing the bug!


so can we close this bug ?
Comment 5 Georg Wittig 2013-08-01 16:52:40 EDT
Yes, the bug can be closed. Thanks!
Comment 6 Sergio Monteiro Basto 2013-08-01 17:17:19 EDT
OK I'm closing this bug as resolved, makes work easier for developers.

Note You need to log in before you can comment on or make changes to this bug.